Name:           python-opencv-python-headless
Version:        4.11.0.86
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Wrapper package for OpenCV python bindings.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/opencv/opencv-python
Source:         %{pypi_source opencv-python-headless}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'opencv-python-headless' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-opencv-python-headless
Summary:        %{summary}

%description -n python3-opencv-python-headless %_description


%prep
%autosetup -p1 -n opencv-python-headless-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-opencv-python-headless -f %{pyproject_files}


%changelog
%autochangelog